curl --request GET \
--url https://api.eliteprospects.com/v1/staff-stats/leagues \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.eliteprospects.com/v1/staff-stats/leagues"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.eliteprospects.com/v1/staff-stats/leagues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_meta": {
"generatedAt": "<string>",
"offset": 123,
"limit": 123,
"totalRecords": 123
},
"_links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"data": [
{
"league": {
"slug": "<string>",
"name": "<string>",
"fullName": "<string>",
"commonName": "<string>",
"teamClass": "men",
"leagueType": "<string>",
"leagueLevel": "<string>",
"scheduleType": "default",
"defaultSeason": {
"slug": "<string>",
"startYear": 123,
"endYear": 123
},
"activeSeason": {
"slug": "<string>",
"startYear": 123,
"endYear": 123
},
"country": {
"slug": "<string>",
"name": "<string>",
"iso_3166_1_alpha_2": "<string>",
"flagUrl": {
"small": "<string>",
"medium": "<string>"
},
"eliteprospectsUrlPath": "<string>",
"updatedAt": "<string>",
"_links": [
"<string>"
]
},
"continent": "INT",
"region": "<string>",
"flagUrl": {
"small": "<string>",
"medium": "<string>"
},
"logo": {
"url": "<string>",
"colors": [
"<string>"
],
"hasTransparency": true
},
"logoUrl": "<string>",
"imageUrl": "<string>",
"numberOfTeams": 123,
"primaryDraftType": {
"slug": "<string>",
"name": "<string>",
"league": "<unknown>",
"_links": [
"<string>"
],
"eliteprospectsUrlPath": "<string>"
},
"existsInLeagueEndpoint": true,
"hasProjectedStats": true,
"historicalData": [
{
"slug": "<string>",
"name": "<string>",
"fullName": "<string>",
"firstSeason": {
"slug": "<string>",
"startYear": 123,
"endYear": 123
},
"lastSeason": {
"slug": "<string>",
"startYear": 123,
"endYear": 123
}
}
],
"links": {
"eliteprospectsUrl": "<string>",
"officialWebUrl": "<string>",
"statsUrl": "<string>",
"newsUrls": [
"<string>"
],
"forumUrl": "<string>",
"facebook": "<string>",
"x": "<string>",
"twitter": "<string>",
"instagram": "<string>",
"youtube": "<string>"
},
"eliteprospectsUrlPath": "<string>",
"updatedAt": "<string>",
"_links": [
"<string>"
]
},
"count": 123
}
]
}Staff stat leagues
Leagues the matching staff stats come from, with the number of rows in each. Use the fields parameter to customize response fields.
Authorizations
Query Parameters
Specify custom response with available response fields.
Fields included as default: league, count
league, count, league.*, * The number of items to skip before starting to collect the result set.
x >= 0The number of items to return.
0 <= x <= 1000Sort results by field name. Prefix with - for descending order (e.g., -name).
league, -league, count, -count Filter by id
Filter by id greater than
Filter by status
rostered, not-active-on-team, not-active Filter by status not equal to
rostered, not-active-on-team, not-active Filter by league slug
Filter by team ID
Filter by team.teamType
club, international Filter by season slug
Filter by season slug not equal to
Filter by season slug greater or equal to
Filter by season slug less than or equal to
Filter by staff ID
Filter by staff.nationality
Filter by staff.secondaryNationality
Filter by staff.playingInLeague
Filter by staff.notPlayingInLeague
Filter by staff.hasPlayedInLeague
Filter by staff.hasPlayedInLeague.season
Filter by staff.neverPlayedInLeague
Filter by staff.playingInTeam
Filter by staff.notPlayingInTeam
Filter by staff.hasPlayedInTeam
Filter by staff.hasPlayedInTeam.season
Filter by staff.neverPlayedInTeam
Filter by role
Filter by updatedAt greater or equal to in ISO-8601 format for date and time